glab(1)

NAME
glab-runner-update - Update a runner.

SYNOPSIS
glab runner update [flags]

DESCRIPTION
Updates settings for a GitLab CI/CD runner.

Use flags to update the runner configuration, such as the pause state.

Prerequisites:

•   Maintainer or Owner role for project runners.

•   Owner role for group runners.

•   Administrator access for instance runners.

OPTIONS
--pause[=]
    Pause the runner.

--unpause[=]
    Resume a paused runner.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Pause a runner
    glab runner update <runner-id> --pause
    # Unpause a runner
    glab runner update <runner-id> --unpause
    # Pause a runner in a specific project
    glab runner update <runner-id> --pause -R owner/repo

SEE ALSO
glab-runner(1)